Bug 1400972 - Qt 5 Designer has 128x128 icon in 32x32 folder
Summary: Qt 5 Designer has 128x128 icon in 32x32 folder
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qttools
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-02 13:17 UTC by Miro Hrončok
Modified: 2018-11-30 21:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:54:40 UTC


Attachments (Terms of Use)
Screenshot of Xfce apps menu (9.31 KB, image/png)
2016-12-02 13:17 UTC, Miro Hrončok
no flags Details

Description Miro Hrončok 2016-12-02 13:17:57 UTC
Created attachment 1227312 [details]
Screenshot of Xfce apps menu

Description of problem:
Qt 5 Designer has a 128x128 icon in the folder for 32x32 icons.

Version-Release number of selected component (if applicable):
qt5-designer-5.7.0-3.fc25.x86_64

How reproducible:
Always, easy.

Steps to Reproduce:
$ file /usr/share/icons/hicolor/32x32/apps/designer-qt5.png

Actual results:
/usr/share/icons/hicolor/32x32/apps/designer-qt5.png: PNG image data, 128 x 128, 8-bit/color RGBA, non-interlaced

Expected results:
/usr/share/icons/hicolor/32x32/apps/designer-qt5.png: PNG image data, 32 x 32, 8-bit/color RGBA, non-interlaced

Additional info:
This makes the app icon very large in Xfce apps menu. Screenshot attached.

Comment 1 Rex Dieter 2016-12-02 13:32:40 UTC
%changelog
* Fri Dec 02 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.7.1-3
- Qt 5 Designer has 128x128 icon in 32x32 folder (#1400972)


Fix will be included when 5.7.1 comes to updates

Comment 2 Miro Hrončok 2016-12-02 13:46:40 UTC
Awesome, thanks.

Comment 3 Miro Hrončok 2017-10-27 09:00:27 UTC
Once again:

$ file /usr/share/icons/hicolor/32x32/apps/designer-qt5.png
/usr/share/icons/hicolor/32x32/apps/designer-qt5.png: PNG image data, 128 x 128, 8-bit/color RGBA, non-interlaced

qt5-designer-5.9.2-1.fc27.x86_64

Comment 4 Miro Hrončok 2017-10-27 09:02:32 UTC
BTW Might be a good idea to check this in %check, something like

pushd %{buildroot}%{_datadir}/icons
for RES in $(ls hicolor); do
  file hicolor/$RES/apps/designer-qt5.png | grep "$(echo $RES | sed 's/x/ x /')"
done
popd

Comment 5 Miro Hrončok 2017-10-27 09:11:14 UTC
Will send PR.

Comment 7 Than Ngo 2017-10-27 16:33:23 UTC
it's fixed in 5.9.2-3, thanks

Comment 8 Miro Hrončok 2017-10-27 20:01:01 UTC
Please backport the fix to Fedora 27 as well.

Comment 9 Ben Cotton 2018-11-27 15:15:24 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2018-11-30 21:54:40 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.